Create customer
curl --request POST \
--url https://api.quentli.com/v1/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"name": "Alicia Pérez",
"username": "12873",
"email": "alicia@ejemplo.com",
"phoneNumber": "+528444191046"
}
}
'import requests
url = "https://api.quentli.com/v1/customers"
payload = { "input": {
"name": "Alicia Pérez",
"username": "12873",
"email": "alicia@ejemplo.com",
"phoneNumber": "+528444191046"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
name: 'Alicia Pérez',
username: '12873',
email: 'alicia@ejemplo.com',
phoneNumber: '+528444191046'
}
})
};
fetch('https://api.quentli.com/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customer": {
"id": "cus_1234567890abcdefghij",
"name": "Alicia Pérez",
"username": "12873",
"email": "alicia@ejemplo.com",
"phoneNumber": "+528444191046"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Customers
Create customer
Creates a new customer.
POST
/
v1
/
customers
Create customer
Authorizations
Organization API key using Authorization: Bearer sk_....
Body
application/json
Request body for creating a customer.
Customer creation payload.
Show child attributes
Show child attributes
Response
Customer created
Successful customer creation response.
Customer record including identity, contact details, and messaging preferences.
Show child attributes
Show child attributes
Was this page helpful?